### Navigation

- index
- modules |
- next |
- previous |
- Python v2.6.1 documentation »
- The Python Standard Library »

# File Formats

The modules described in this chapter parse various miscellaneous file formats that aren’t markup languages or are related to e-mail.

- `csv` — CSV File Reading and Writing
  - Module Contents
  - Dialects and Formatting Parameters
  - Reader Objects
  - Writer Objects
  - Examples

- `ConfigParser` — Configuration file parser
  - RawConfigParser Objects
  - ConfigParser Objects
  - SafeConfigParser Objects
  - Examples

- `robotparser` — Parser for robots.txt

- `netrc` — netrc file processing
  - netrc Objects

- `xdrlib` — Encode and decode XDR data
  - Packer Objects
  - Unpacker Objects
  - Exceptions

- `plistlib` — Generate and parse Mac OS X `.plist` files
  - Examples

### Navigation

- index
- modules |
- next |
- previous |
- Python v2.6.1 documentation »
- The Python Standard Library »